### php.java.bridge

# Class ParserString

- `java.lang.Object`

- `php.java.bridge.ParserString`

`public class ParserString`
`extends java.lang.Object`

This class holds the parser string.

Author:
  jostb

## Method Summary

`double`

`getDoubleValue()`

`int`

`getIntValue()`
  Returns the ASCII string representation.

`long`

`getLongValue()`
  Returns the ASCII string representation.

`java.lang.String`

`getStringValue()`
  Returns the ASCII string representation.

`java.lang.String`

`getUTF8StringValue()`
  Returns the UTF8 string representation.

`java.lang.String`

`toString()`
  Returns the UTF8 string representation.

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Method Details

### getDoubleValue

    public double getDoubleValue()

### getIntValue

    public int getIntValue()

> Returns the ASCII string representation. Useful serialized objects, float, long.

> Returns:
>   The ASCII encoded string.

### getLongValue

    public long getLongValue()

> Returns the ASCII string representation. Useful serialized objects, float, long.

> Returns:
>   The ASCII encoded string.

### getStringValue

    public java.lang.String getStringValue()

> Returns the ASCII string representation. Useful serialized objects, float, long.

> Returns:
>   The ASCII encoded string.

### getUTF8StringValue

    public java.lang.String getUTF8StringValue()

> Returns the UTF8 string representation. Useful for debugging only

> Returns:
>   The UTF-8 encoded string.

### toString

    public java.lang.String toString()

> Returns the UTF8 string representation. Useful for debugging only
> Overrides:
>   toString in interface java.lang.Object

> Returns:
>   The description of the string.